.week_view {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: week;
  overflow: scroll;
  .day {
    flex-grow: 1;
    margin: 0 0.8rem;
    padding: 0.5rem 0.4rem;

    // width: 4rem;

    border-radius: 1.2rem;
    cursor: pointer;
    transition: all 0.2s ease-out;

    &.active {
      background-color: var(--primary-700);

      box-shadow: 0px 0px 17px 0px rgba(0, 0, 0, 0.33) inset;

      .day_date {
        color: var(--white);
      }
    }
    &:hover {
      box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
    }

    &:active {
      box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.4);
      transform: scale(1.06);
    }

    &.present {
      .day_date {
        color: var(--info-400);
        font-weight: 700;
      }
    }

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    &_name {
      font-size: var(--caption2);
    }

    &_date {
      color: var(--grey-400);
    }
  }
}
